# GLM_GTX_polar_coordinates

GLM_GTX_polar_coordinates
GTX Extensions (Experimental)

## Functions

template<typename T >
detail::tvec3< T > | euclidean (detail::tvec3< T > const &polar)
template<typename T >
detail::tvec3< T > | polar (detail::tvec3< T > const &euclidean)

## Detailed Description

Conversion from Euclidean space to polar space and revert.

<glm/gtx/polar_coordinates.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tvec3<T> glm::euclidean | ( | detail::tvec3< T > const & | polar | ) |

Convert Polar to Euclidean coordinates.

From GLM_GTX_polar_coordinates extension.

detail::tvec3<T> glm::polar | ( | detail::tvec3< T > const & | euclidean | ) |

Convert Euclidean to Polar coordinates, x is the xz distance, y, the latitude and z the longitude.

From GLM_GTX_polar_coordinates extension.